org.apache.maven.scm.provider.cvslib.command.add

## Class AbstractCvsAddCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.add.AbstractAddCommand
    - - org.apache.maven.scm.provider.cvslib.command.add.AbstractCvsAddCommand

- All Implemented Interfaces:
    Command, CvsCommand
  Direct Known Subclasses:
    CvsExeAddCommand, CvsJavaAddCommand

      public abstract class AbstractCvsAddCommand
      extends AbstractAddCommand
      implements CvsCommand

  Version:
    $Id: AbstractCvsAddCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Brett Porter

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCvsAddCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ScmResult` | `executeAddCommand(ScmProviderRepository repo, ScmFileSet fileSet, String message, boolean binary)`
    `protected abstract AddScmResult` | `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl, List addedFiles)`

    - ### Methods inherited from class org.apache.maven.scm.command.add.AbstractAddCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### AbstractCvsAddCommand

          public AbstractCvsAddCommand()

  - ### Method Detail

    - #### executeAddCommand

          protected ScmResult executeAddCommand(ScmProviderRepository repo,
                                    ScmFileSet fileSet,
                                    String message,
                                    boolean binary)
                                         throws ScmException

      Specified by:
        `executeAddCommand` in class `AbstractAddCommand`
      Throws:
        `ScmException`

    - #### executeCvsCommand

          protected abstract AddScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl,
                                       List addedFiles)
                                                     throws ScmException

      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.